Index: branches/HTM-5.1-dev0/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/App/TAppDecoder/TAppDecTop.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/App/TAppDecoder/TAppDecTop.cpp	(revision 294)
@@ -369,9 +369,5 @@
       if(newPicture[viewDepthId])
       {
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
         xWriteOutput( pcListPic[viewDepthId], viewDepthId, nalu.m_temporalId );
-#else
-        xWriteOutput( pcListPic[viewDepthId], viewDepthId );
-#endif
       }
     }
@@ -440,9 +436,5 @@
 }
 
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
 Void TAppDecTop::xWriteOutput( TComList<TComPic*>* pcListPic, Int viewDepthId, UInt tId )
-#else
-Void TAppDecTop::xWriteOutput( TComList<TComPic*>* pcListPic, Int viewDepthId )
-#endif
 {
   TComList<TComPic*>::iterator iterPic   = pcListPic->begin();
@@ -463,13 +455,7 @@
   {
     TComPic* pcPic = *(iterPic);
-#if PIC_CROPPING
     TComSPS *sps = pcPic->getSlice(0)->getSPS();
-#endif
     
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
     if ( pcPic->getOutputMark() && (not_displayed >  pcPic->getSlice(0)->getSPS()->getNumReorderPics(tId) && pcPic->getPOC() > m_pocLastDisplay[viewDepthId]))
-#else
-    if ( pcPic->getOutputMark() && (not_displayed >  pcPic->getSlice(0)->getSPS()->getNumReorderFrames() && pcPic->getPOC() > m_pocLastDisplay[viewDepthId]))
-#endif
     {
       // write to file
@@ -477,9 +463,5 @@
       if ( m_pchReconFile )
       {
-#if PIC_CROPPING
         m_tVideoIOYuvReconFile[viewDepthId]->write( pcPic->getPicYuvRec(), sps->getPicCropLeftOffset(), sps->getPicCropRightOffset(), sps->getPicCropTopOffset(), sps->getPicCropBottomOffset() );
-#else
-        m_tVideoIOYuvReconFile[viewDepthId]->write( pcPic->getPicYuvRec(), pcPic->getSlice(0)->getSPS()->getPad() );
-#endif
       }
       
@@ -526,7 +508,5 @@
   {
     TComPic* pcPic = *(iterPic);
-#if PIC_CROPPING
     TComSPS *sps = pcPic->getSlice(0)->getSPS();
-#endif
 
     if ( pcPic->getOutputMark() )
@@ -535,9 +515,5 @@
       if ( m_pchReconFile )
       {
-#if PIC_CROPPING
         m_tVideoIOYuvReconFile[viewDepthId]->write( pcPic->getPicYuvRec(), sps->getPicCropLeftOffset(), sps->getPicCropRightOffset(), sps->getPicCropTopOffset(), sps->getPicCropBottomOffset() );
-#else
-        m_tVideoIOYuvReconFile[viewDepthId]->write( pcPic->getPicYuvRec(), pcPic->getSlice(0)->getSPS()->getPad() );
-#endif
       }
       
Index: branches/HTM-5.1-dev0/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- branches/HTM-5.1-dev0/source/App/TAppDecoder/TAppDecTop.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/App/TAppDecoder/TAppDecTop.h	(revision 294)
@@ -121,9 +121,5 @@
 //  Void  xInitDecLib       (); ///< initialize decoder class
   
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
   Void  xWriteOutput      ( TComList<TComPic*>* pcListPic, Int viewDepthId, UInt tId); ///< write YUV to file
-#else
-  Void  xWriteOutput      ( TComList<TComPic*>* pcListPic, Int viewDepthId ); ///< write YUV to file
-#endif
   Void  xFlushOutput      ( TComList<TComPic*>* pcListPic, Int viewDepthId ); ///< flush all remaining decoded pictures to file
 
Index: branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 294)
@@ -233,5 +233,4 @@
   ("SourceWidth,-wdt",        m_iSourceWidth,           0,                            "Source picture width")
   ("SourceHeight,-hgt",       m_iSourceHeight,          0,                            "Source picture height")
-#if PIC_CROPPING
   ("CroppingMode",            m_croppingMode,           0,                            "Cropping mode (0: no cropping, 1:automatic padding, 2: padding, 3:cropping")
   ("CropLeft",                m_cropLeft,               0,                            "Left cropping/padding for cropping mode 3")
@@ -241,14 +240,8 @@
   ("HorizontalPadding,-pdx",  m_aiPad[0],               0,                            "horizontal source padding for cropping mode 2")
   ("VerticalPadding,-pdy",    m_aiPad[1],               0,                            "vertical source padding for cropping mode 2")
-#endif
   ("InputBitDepth",         m_uiInputBitDepth, 8u, "bit-depth of input file")
   ("BitDepth",              m_uiInputBitDepth, 8u, "deprecated alias of InputBitDepth")
   ("OutputBitDepth",        m_uiOutputBitDepth, 0u, "bit-depth of output file")
   ("InternalBitDepth",      m_uiInternalBitDepth, 0u, "Internal bit-depth (BitDepth+BitIncrement)")
-#if !PIC_CROPPING
-  ("HorizontalPadding,-pdx",m_aiPad[0],      0, "horizontal source padding size")
-  ("VerticalPadding,-pdy",  m_aiPad[1],      0, "vertical source padding size")
-  ("PAD",                   m_bUsePAD,   false, "automatic source padding of multiple of 16" )
-#endif
   ("FrameRate,-fr",         m_iFrameRate,        0, "Frame rate")
   ("FrameSkip,-fs",         m_FrameSkip,         0u, "Number of frames to skip at start of input YUV")
@@ -279,8 +272,4 @@
   ("DecodingRefreshType,-dr",m_iDecodingRefreshType, 0, "intra refresh, (0:none 1:CRA 2:IDR)")
   ("GOPSize,g",      m_iGOPSize,      1, "GOP size of temporal structure")
-#if !H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
-  ("MaxNumberOfReorderPictures",   m_numReorderFrames,               -1, "Max. number of reorder pictures: -1: encoder determines value, >=0: set explicitly")
-  ("MaxNumberOfReferencePictures", m_maxNumberOfReferencePictures, 6, "Max. number of reference pictures")
-#endif
   ("ListCombination,-lc", m_bUseLComb, true, "combined reference list flag for uni-prediction in B-slices")
   ("LCModification", m_bLCMod, false, "enables signalling of combined reference list derivation")
@@ -321,12 +310,4 @@
   ("TemporalLayerQPOffset_L3,-tq3", m_aiTLayerQPOffset[3], MAX_QP + 1, "QP offset of temporal layer 3")
   
-#if !H0566_TLA
-  ("TLayeringBasedOnCodingStruct,-tl", m_bTLayering, false, "Temporal ID is set based on the hierarchical coding structure")
-  
-  ("TLayerSwitchingFlag_L0,-ts0", m_abTLayerSwitchingFlag[0], false, "Switching flag for temporal layer 0")
-  ("TLayerSwitchingFlag_L1,-ts1", m_abTLayerSwitchingFlag[1], false, "Switching flag for temporal layer 1")
-  ("TLayerSwitchingFlag_L2,-ts2", m_abTLayerSwitchingFlag[2], false, "Switching flag for temporal layer 2")
-  ("TLayerSwitchingFlag_L3,-ts3", m_abTLayerSwitchingFlag[3], false, "Switching flag for temporal layer 3")
-#endif
 
   /* Entropy coding parameters */
@@ -349,7 +330,5 @@
   ("IVSEnable",                       m_bUseIVS                 , true         , "Use inter-view vector scaling" )
 #endif
-#if DBL_CONTROL
   ("DeblockingFilterControlPresent", m_DeblockingFilterControlPresent, true)
-#endif
 
   /* Camera Paremetes */
@@ -412,16 +391,12 @@
   ("ALF", m_abUseALF, std::vector<Bool>(1,true), "Enables ALF")
   ("SAO", m_abUseSAO, std::vector<Bool>(1, true), "SAO")
-#if SAO_UNIT_INTERLEAVING
   ("MaxNumOffsetsPerPic", m_maxNumOffsetsPerPic, 2048, "2048: default")   
   ("SAOInterleaving", m_saoInterleavingFlag, false, "0: SAO Picture Mode, 1: SAO Interleaving ")   
-#endif
 
   ("ALFEncodePassReduction", m_iALFEncodePassReduction, 0, "0:Original 16-pass, 1: 1-pass, 2: 2-pass encoding")
 
   ("ALFMaxNumFilter,-ALFMNF", m_iALFMaxNumberFilters, 16, "16: No Constrained, 1-15: Constrained max number of filter")
-#if LCU_SYNTAX_ALF
   ("ALFParamInSlice", m_bALFParamInSlice, false, "ALF parameters in 0: APS, 1: slice header")
   ("ALFPicBasedEncode", m_bALFPicBasedEncode, true, "ALF picture-based encoding 0: false, 1: true")
-#endif
 
     ("SliceMode",            m_iSliceMode,           0, "0: Disable all Recon slice limits, 1: Enforce max # of LCUs, 2: Enforce max # of bytes")
@@ -446,7 +421,4 @@
     ("TileInfoPresentFlag",         m_iColumnRowInfoPresent,         1,          "0: tiles parameters are NOT present in the PPS. 1: tiles parameters are present in the PPS")
     ("UniformSpacingIdc",           m_iUniformSpacingIdr,            0,          "Indicates if the column and row boundaries are distributed uniformly")
-#if !REMOVE_TILE_DEPENDENCE
-    ("TileBoundaryIndependenceIdc", m_iTileBoundaryIndependenceIdr,  1,          "Indicates if the column and row boundaries break the prediction")
-#endif
     ("NumTileColumnsMinus1",        m_iNumColumnsMinus1,             0,          "Number of columns in a picture minus 1")
     ("ColumnWidthArray",            cfg_ColumnWidth,                 string(""), "Array containing ColumnWidth values in units of LCU")
@@ -463,8 +435,6 @@
     ("ScalingList",                 m_useScalingListId,              0,          "0: no scaling list, 1: default scaling lists, 2: scaling lists specified in ScalingListFile")
     ("ScalingListFile",             cfg_ScalingListFile,             string(""), "Scaling list file name")
-#if MULTIBITS_DATA_HIDING
     ("SignHideFlag,-SBH",                m_signHideFlag, 1)
     ("SignHideThreshold,-TSIG",          m_signHidingThreshold,         4)
-#endif
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX
   ("DMM",                         m_bUseDMM,                       false,      "depth model modes flag")
@@ -484,7 +454,5 @@
   ("FEN", m_bUseFastEnc, false, "fast encoder setting")
   ("ECU", m_bUseEarlyCU, false, "Early CU setting") 
-#if FAST_DECISION_FOR_MRG_RD_COST
   ("FDM", m_useFastDecisionForMerge, true, "Fast decision for Merge RD Cost") 
-#endif
   ("CFM", m_bUseCbfFastMode, false, "Cbf fast mode setting")
 #if HHI_INTERVIEW_SKIP
@@ -624,5 +592,4 @@
   }
 
-#if PIC_CROPPING
   switch (m_croppingMode)
   {
@@ -674,22 +641,4 @@
     }
   }
-#else
-
-  // compute source padding size
-  if ( m_bUsePAD )
-  {
-    if ( m_iSourceWidth%MAX_PAD_SIZE )
-    {
-      m_aiPad[0] = (m_iSourceWidth/MAX_PAD_SIZE+1)*MAX_PAD_SIZE - m_iSourceWidth;
-    }
-    
-    if ( m_iSourceHeight%MAX_PAD_SIZE )
-    {
-      m_aiPad[1] = (m_iSourceHeight/MAX_PAD_SIZE+1)*MAX_PAD_SIZE - m_iSourceHeight;
-    }
-  }
-  m_iSourceWidth  += m_aiPad[0];
-  m_iSourceHeight += m_aiPad[1];
-#endif
   
   // allocate slice-based dQP values
@@ -897,5 +846,4 @@
   xConfirmPara( (m_iIntraPeriod > 0 && m_iIntraPeriod < m_iGOPSize) || m_iIntraPeriod == 0, "Intra period must be more than GOP size, or -1 , not 0" );
   xConfirmPara( m_iDecodingRefreshType < 0 || m_iDecodingRefreshType > 2,                   "Decoding Refresh Type must be equal to 0, 1 or 2" );
-#if H0736_AVC_STYLE_QP_RANGE
   xConfirmPara( m_aiQP[0] < -6 * ((Int)m_uiInternalBitDepth - 8) || m_aiQP[0] > 51,         "QP exceeds supported range (-QpBDOffsety to 51)" );
   if ( m_aiQP.size() >= 2 )
@@ -903,17 +851,6 @@
     xConfirmPara( m_aiQP[1] < -6 * ((Int)m_uiInternalBitDepth - 8) || m_aiQP[1] > 51,       "QP depth exceeds supported range (-QpBDOffsety to 51)" );
   }
-#else
-  xConfirmPara( m_aiQP[0] < 0 || m_aiQP[0] > 51,                                             "QP exceeds supported range (0 to 51)" );
-  if ( m_aiQP.size() >= 2 )
-  {
-    xConfirmPara( m_aiQP[1] < 0 || m_aiQP[1] > 51,                                           "QP Depth exceeds supported range (0 to 51)" );
-  }
-#endif
   xConfirmPara( m_iALFEncodePassReduction < 0 || m_iALFEncodePassReduction > 2,             "ALFEncodePassReduction must be equal to 0, 1 or 2");
-#if LCU_SYNTAX_ALF
   xConfirmPara( m_iALFMaxNumberFilters < 1,                                                 "ALFMaxNumFilter should be larger than 1");  
-#else
-  xConfirmPara( m_iALFMaxNumberFilters < 1 || m_iALFMaxNumberFilters > 16,                  "ALFMaxNumFilter exceeds supported range (1 to 16)");  
-#endif
   xConfirmPara( m_loopFilterBetaOffsetDiv2 < -13 || m_loopFilterBetaOffsetDiv2 > 13,          "Loop Filter Beta Offset div. 2 exceeds supported range (-13 to 13)");
   xConfirmPara( m_loopFilterTcOffsetDiv2 < -13 || m_loopFilterTcOffsetDiv2 > 13,              "Loop Filter Tc Offset div. 2 exceeds supported range (-13 to 13)");
@@ -941,11 +878,6 @@
   xConfirmPara( m_uiMaxCUWidth < 16,                                                        "Maximum partition width size should be larger than or equal to 16");
   xConfirmPara( m_uiMaxCUHeight < 16,                                                       "Maximum partition height size should be larger than or equal to 16");
-#if PIC_CROPPING
   xConfirmPara( (m_iSourceWidth  % (m_uiMaxCUWidth  >> (m_uiMaxCUDepth-1)))!=0,             "Resulting coded frame width must be a multiple of the minimum CU size");
   xConfirmPara( (m_iSourceHeight % (m_uiMaxCUHeight >> (m_uiMaxCUDepth-1)))!=0,             "Resulting coded frame height must be a multiple of the minimum CU size");
-#else
-  xConfirmPara( (m_iSourceWidth  % (m_uiMaxCUWidth  >> (m_uiMaxCUDepth-1)))!=0,             "Frame width should be multiple of minimum CU size");
-  xConfirmPara( (m_iSourceHeight % (m_uiMaxCUHeight >> (m_uiMaxCUDepth-1)))!=0,             "Frame height should be multiple of minimum CU size");
-#endif
   
   xConfirmPara( m_uiQuadtreeTULog2MinSize < 2,                                        "QuadtreeTULog2MinSize must be 2 or greater.");
@@ -1005,9 +937,7 @@
   }
 #if ADAPTIVE_QP_SELECTION
-#if H0736_AVC_STYLE_QP_RANGE
   xConfirmPara( m_bUseAdaptQpSelect == true && m_aiQP[0] < 0,                                              "AdaptiveQpSelection must be disabled when QP < 0.");
   xConfirmPara( m_bUseAdaptQpSelect == true && m_aiQP[1] < 0,                                              "AdaptiveQpSelection must be disabled when QP < 0.");
   xConfirmPara( m_bUseAdaptQpSelect == true && (m_iChromaQpOffset !=0 || m_iChromaQpOffset2nd != 0 ),  "AdaptiveQpSelection must be disabled when ChromaQpOffset is not equal to 0.");
-#endif
 #endif
 
@@ -1020,17 +950,13 @@
   }
 
-#if FIXED_NUMBER_OF_TILES_SLICE_MODE
   xConfirmPara( m_iSliceMode < 0 || m_iSliceMode > 3, "SliceMode exceeds supported range (0 to 3)" );
-#endif
   if (m_iSliceMode!=0)
   {
     xConfirmPara( m_iSliceArgument < 1 ,         "SliceArgument should be larger than or equal to 1" );
   }
-#if FIXED_NUMBER_OF_TILES_SLICE_MODE
   if (m_iSliceMode==3)
   {
     xConfirmPara( m_iSliceGranularity > 0 ,      "When SliceMode == 3 is chosen, the SliceGranularity must be 0" );
   }
-#endif
   xConfirmPara( m_iEntropySliceMode < 0 || m_iEntropySliceMode > 2, "EntropySliceMode exceeds supported range (0 to 2)" );
   if (m_iEntropySliceMode!=0)
@@ -1042,10 +968,8 @@
   xConfirmPara( m_iSliceGranularity > m_iMaxCuDQPDepth, "SliceGranularity must be smaller smaller than or equal to maximum dqp depth" );
 
-#if NO_COMBINED_PARALLEL
   bool tileFlag = (m_iNumColumnsMinus1 > 0 || m_iNumRowsMinus1 > 0 );
   xConfirmPara( tileFlag && m_iEntropySliceMode,            "Tile and Entropy Slice can not be applied together");
   xConfirmPara( tileFlag && m_iWaveFrontSynchro,            "Tile and Wavefront can not be applied together");
   xConfirmPara( m_iWaveFrontSynchro && m_iEntropySliceMode, "Wavefront and Entropy Slice can not be applied together");  
-#endif
 
   // max CU width and height should be power of 2
@@ -1239,9 +1163,4 @@
       for( Int i = 0; i < MAX_GOP; i++ ) { isOK[i] = false; }
       Int numOK = 0;
-#if !H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
-      Int numReorderFramesRequired=0;
-      m_maxNumberOfReferencePictures=0;
-      Int lastDisp = -1;
-#endif
       m_extraRPSs[viewId] = 0;
       //start looping through frames in coding order until we can verify that the GOP structure is correct.
@@ -1427,59 +1346,20 @@
             }
           }
-#if !H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
-          if(m_maxNumberOfReferencePictures<numRefs)
-          {
-            m_maxNumberOfReferencePictures=numRefs;
-          }
-#endif
           refList[numRefs] = curPOC;
           numRefs++;
-#if !H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
-          Int nonDisplayed=0;
-          for(Int i=0; i<numRefs; i++) 
-          {
-            if(refList[i]==lastDisp+1) 
-            {
-              lastDisp=refList[i];
-              i=0;
-            }
-          }
-          for(Int i=0; i<numRefs; i++) 
-          {
-            if(refList[i]>lastDisp)
-            {
-              nonDisplayed++;
-            }
-          }
-          if(nonDisplayed>numReorderFramesRequired)
-          {
-            numReorderFramesRequired=nonDisplayed;
-          }
-#endif
         }
         checkGOP++;
       }
-#if !H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
-      if (m_numReorderFrames == -1)
-      {
-        m_numReorderFrames = numReorderFramesRequired;
-      }
-#endif
       xConfirmPara( errorGOP, "Invalid GOP structure given" );
-#if H0566_TLA
       m_maxTempLayer[viewId] = 1;
-#endif
       for( Int i = 0; i < m_iGOPSize; i++ ) 
       {
-#if H0566_TLA
         if( m_GOPListsMvc[viewId][i].m_temporalId >= m_maxTempLayer[viewId] )
         {
           m_maxTempLayer[viewId] = m_GOPListsMvc[viewId][i].m_temporalId + 1;
         }
-#endif
         xConfirmPara( m_GOPListsMvc[viewId][i].m_sliceType != 'B' && m_GOPListsMvc[viewId][i].m_sliceType != 'P', "Slice type must be equal to B or P" );
       }
 
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
       for( Int i = 0; i < MAX_TLAYER; i++ )
       {
@@ -1538,12 +1418,6 @@
         m_maxDecPicBuffering[viewId][MAX_TLAYER-1] = m_numReorderPics[viewId][MAX_TLAYER-1];
       }
-#endif
-
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
+
       xConfirmPara( m_bUseLComb == false && m_numReorderPics[viewId][MAX_TLAYER-1] != 0, "ListCombination can only be 0 in low delay coding (more precisely when L0 and L1 are identical)" );  // Note however this is not the full necessary condition as ref_pic_list_combination_flag can only be 0 if L0 == L1.
-#else
-      xConfirmPara( m_bUseLComb==false && m_numReorderFrames!=0, "ListCombination can only be 0 in low delay coding (more precisely when L0 and L1 are identical)" );  // Note however this is not the full necessary condition as ref_pic_list_combination_flag can only be 0 if L0 == L1.
-      xConfirmPara( m_numReorderFrames < numReorderFramesRequired, "For the used GOP the encoder requires more pictures for reordering than specified in MaxNumberOfReorderPictures" );
-#endif
     }
   }
@@ -1655,9 +1529,5 @@
     }
   }
-#if PIC_CROPPING
   printf("Real     Format              : %dx%d %dHz\n", m_iSourceWidth - m_cropLeft - m_cropRight, m_iSourceHeight - m_cropTop - m_cropBottom, m_iFrameRate );
-#else
-  printf("Real     Format              : %dx%d %dHz\n", m_iSourceWidth - m_aiPad[0], m_iSourceHeight-m_aiPad[1], m_iFrameRate );
-#endif
   printf("Internal Format              : %dx%d %dHz\n", m_iSourceWidth, m_iSourceHeight, m_iFrameRate );
   printf("Frame index                  : %u - %d (%d frames)\n", m_FrameSkip, m_FrameSkip+m_iFrameToBeEncoded-1, m_iFrameToBeEncoded );
@@ -1727,9 +1597,7 @@
   
   printf("TOOL CFG General: ");  
-#if LCU_SYNTAX_ALF
   printf("ALFMNF:%d ", m_iALFMaxNumberFilters);
   printf("ALFInSlice:%d ", m_bALFParamInSlice);
   printf("ALFPicEnc:%d ", m_bALFPicBasedEncode);
-#endif
   printf("IBD:%d ", !!g_uiBitIncrement);
   printf("HAD:%d ", m_bUseHADME           );
@@ -1737,14 +1605,9 @@
   printf("SQP:%d ", m_uiDeltaQpRD         );
   printf("ASR:%d ", m_bUseASR             );
-#if !PIC_CROPPING
-  printf("PAD:%d ", m_bUsePAD             );
-#endif
   printf("LComb:%d ", m_bUseLComb         );
   printf("LCMod:%d ", m_bLCMod         );
   printf("FEN:%d ", m_bUseFastEnc         );
   printf("ECU:%d ", m_bUseEarlyCU         );
-#if FAST_DECISION_FOR_MRG_RD_COST
   printf("FDM:%d ", m_useFastDecisionForMerge );
-#endif
   printf("CFM:%d ", m_bUseCbfFastMode         );
   printf("RQT:%d ", 1     );
@@ -1761,12 +1624,6 @@
   }
   printf("CIP:%d ", m_bUseConstrainedIntraPred);
-#if BURST_IPCM
   printf("PCM:%d ", (m_usePCM && (1<<m_uiPCMLog2MinSize) <= m_uiMaxCUWidth)? 1 : 0);
-#else
-  printf("PCM:%d ", ((1<<m_uiPCMLog2MinSize) <= m_uiMaxCUWidth)? 1 : 0);
-#endif
-#if SAO_UNIT_INTERLEAVING
   printf("SAOInterleaving:%d ", (m_saoInterleavingFlag)?(1):(0));
-#endif
 #if LOSSLESS_CODING
   printf("LosslessCuEnabled:%d ", (m_useLossless)? 1:0 );
@@ -1774,7 +1631,4 @@
   printf("WPP:%d ", (Int)m_bUseWeightPred);
   printf("WPB:%d ", m_uiBiPredIdc);
-#if !REMOVE_TILE_DEPENDENCE
-  printf("TileBoundaryIndependence:%d ", m_iTileBoundaryIndependenceIdr ); 
-#endif
   printf("TileLocationInSliceHdr:%d ", m_iTileLocationInSliceHeaderFlag);
   printf("TileMarker:%d", m_iTileMarkerFlag);
@@ -1799,7 +1653,5 @@
 #endif
 
-#if MULTIBITS_DATA_HIDING
   printf(" SignBitHidingFlag:%d SignBitHidingThreshold:%d", m_signHideFlag, m_signHidingThreshold);
-#endif
   printf("\n");
   printf("TOOL CFG VIDEO  : ");
Index: branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 294)
@@ -73,5 +73,4 @@
   Int       m_iSourceWidth;                                   ///< source width in pixel
   Int       m_iSourceHeight;                                  ///< source height in pixel
-#if PIC_CROPPING
   Int       m_croppingMode;
   Int       m_cropLeft;
@@ -79,9 +78,5 @@
   Int       m_cropTop;
   Int       m_cropBottom;
-#endif
   Int       m_iFrameToBeEncoded;                              ///< number of encoded frames
-#if !PIC_CROPPING
-  Bool      m_bUsePAD;                                        ///< flag for using source padding
-#endif
   Int       m_aiPad[2];                                       ///< number of padded pixels for width and height
   
@@ -100,11 +95,6 @@
   Int       m_extraRPSs[MAX_VIEW_NUM];
   GOPEntryMvc m_GOPListsMvc[MAX_VIEW_NUM][MAX_GOP+1];
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
   Int       m_numReorderPics[MAX_VIEW_NUM][MAX_TLAYER];       ///< total number of reorder pictures
   Int       m_maxDecPicBuffering[MAX_VIEW_NUM][MAX_TLAYER];   ///< total number of reference pictures needed for decoding
-#else
-  Int       m_numReorderFrames;                               ///< total number of reorder pictures
-  Int       m_maxNumberOfReferencePictures;                   ///< total number of reference pictures needed for decoding
-#endif
   Bool      m_bUseLComb;                                      ///< flag for using combined reference list for uni-prediction in B-slices (JCTVC-D421)
   Bool      m_bLCMod;                                         ///< flag for specifying whether the combined reference list for uni-prediction in B-slices is uploaded explicitly
@@ -136,10 +126,5 @@
   Int       m_iQPAdaptationRange;                             ///< dQP range by QP adaptation
   
-#if H0566_TLA
   Int       m_maxTempLayer[MAX_VIEW_NUM];                     ///< Max temporal layer
-#else
-  Bool      m_bTLayering;                                     ///< indicates whether temporal IDs are set based on the hierarchical coding structure
-  Bool      m_abTLayerSwitchingFlag[MAX_TLAYER];              ///< temporal layer switching flags corresponding to each temporal layer
-#endif
 
   // coding unit (CU) definition
@@ -179,8 +164,6 @@
   Bool      m_bUseIVS;                                        ///< flag for using inter-view vector scaling
 #endif
-#if SAO_UNIT_INTERLEAVING
   Int       m_maxNumOffsetsPerPic;                            ///< SAO maximun number of offset per picture
   Bool      m_saoInterleavingFlag;                            ///< SAO interleaving flag
-#endif
   // coding tools (loop filter)
   vector<Bool> m_abUseALF;                                    ///< flag for using adaptive loop filter [0] - video, [1] - depth
@@ -188,8 +171,6 @@
   
   Int       m_iALFMaxNumberFilters;                           ///< ALF Max Number Filters in one picture
-#if LCU_SYNTAX_ALF
   Bool      m_bALFParamInSlice;
   Bool      m_bALFPicBasedEncode;
-#endif
 
   vector<Bool> m_abLoopFilterDisable;                         ///< flag for using deblocking filter filter [0] - video, [1] - depth
@@ -197,7 +178,5 @@
   Int       m_loopFilterBetaOffsetDiv2;                     ///< beta offset for deblocking filter
   Int       m_loopFilterTcOffsetDiv2;                       ///< tc offset for deblocking filter
-#if DBL_CONTROL
   Bool      m_DeblockingFilterControlPresent;                 ///< deblocking filter control present flag in PPS
-#endif
  
   Bool      m_bUseLMChroma;                                  ///< JL: Chroma intra prediction based on luma signal
@@ -242,7 +221,5 @@
 #endif
 
-#if FAST_DECISION_FOR_MRG_RD_COST
   Bool      m_useFastDecisionForMerge;         ///< flag for using Fast Decision Merge RD-Cost 
-#endif
   Bool      m_bUseCbfFastMode;                 ///< flag for using Cbf Fast PU Mode Decision
   Int       m_iSliceMode;                      ///< 0: Disable all Recon slice limits, 1 : Maximum number of largest coding units per slice, 2: Maximum number of bytes in a slice
@@ -257,7 +234,4 @@
   Int       m_iColumnRowInfoPresent;
   Int       m_iUniformSpacingIdr;
-#if !REMOVE_TILE_DEPENDENCE
-  Int       m_iTileBoundaryIndependenceIdr;
-#endif
   Int       m_iNumColumnsMinus1;
   char*     m_pchColumnWidth;
@@ -287,8 +261,6 @@
 #endif
 
-#if MULTIBITS_DATA_HIDING
   Int       m_signHideFlag;
   Int       m_signHidingThreshold;
-#endif
 #if HHI_MPI
   Bool      m_bUseMVI;  ///< flag for using Motion Vector Inheritance for depth map coding
Index: branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 294)
@@ -97,5 +97,4 @@
     m_acTEncTopList[iViewIdx]->setSourceWidth                  ( m_iSourceWidth );
     m_acTEncTopList[iViewIdx]->setSourceHeight                 ( m_iSourceHeight );
-#if PIC_CROPPING
     m_acTEncTopList[iViewIdx]->setCroppingMode                 ( m_croppingMode );
     m_acTEncTopList[iViewIdx]->setCropLeft                     ( m_cropLeft );
@@ -103,5 +102,4 @@
     m_acTEncTopList[iViewIdx]->setCropTop                      ( m_cropTop );
     m_acTEncTopList[iViewIdx]->setCropBottom                   ( m_cropBottom );
-#endif
     m_acTEncTopList[iViewIdx]->setFrameToBeEncoded             ( m_iFrameToBeEncoded );
     m_acTEncTopList[iViewIdx]->setViewId                       ( iViewIdx );
@@ -138,5 +136,4 @@
     m_acTEncTopList[iViewIdx]->setGopList                      ( m_GOPListsMvc[iViewIdx] );
     m_acTEncTopList[iViewIdx]->setExtraRPSs                    ( m_extraRPSs[iViewIdx] );
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
     for(Int i = 0; i < MAX_TLAYER; i++)
     {
@@ -144,8 +141,4 @@
       m_acTEncTopList[iViewIdx]->setMaxDecPicBuffering         ( m_maxDecPicBuffering[iViewIdx][i], i );
     }
-#else
-    m_acTEncTopList[iViewIdx]->setNumReorderFrames             ( m_numReorderFrames );
-    m_acTEncTopList[iViewIdx]->setMaxNumberOfReferencePictures ( m_maxNumberOfReferencePictures );
-#endif
     for( UInt uiLoop = 0; uiLoop < MAX_TLAYER; ++uiLoop )
     {
@@ -157,10 +150,5 @@
     m_acTEncTopList[iViewIdx]->setPad                          ( m_aiPad );
     
-#if H0566_TLA
     m_acTEncTopList[iViewIdx]->setMaxTempLayer                 ( m_maxTempLayer[iViewIdx] );
-#else
-    m_acTEncTopList[iViewIdx]->setTLayering                    ( m_bTLayering );
-    m_acTEncTopList[iViewIdx]->setTLayerSwitchingFlag          ( m_abTLayerSwitchingFlag );
-#endif
 
     m_acTEncTopList[iViewIdx]->setDisInter4x4                  ( m_bDisInter4x4);
@@ -176,7 +164,5 @@
     m_acTEncTopList[iViewIdx]->setLoopFilterBetaOffset         ( m_loopFilterBetaOffsetDiv2  );
     m_acTEncTopList[iViewIdx]->setLoopFilterTcOffset           ( m_loopFilterTcOffsetDiv2    );
-#if DBL_CONTROL
     m_acTEncTopList[iViewIdx]->setDeblockingFilterControlPresent( m_DeblockingFilterControlPresent);
-#endif
 
   //====== Motion search ========
@@ -201,9 +187,5 @@
 #if LOSSLESS_CODING
     Int lowestQP;
-#if H0736_AVC_STYLE_QP_RANGE
     lowestQP =  - ( (Int)(6*(g_uiBitDepth + g_uiBitIncrement - 8)) );
-#else
-    lowestQP = 0;
-#endif
     if ((m_iMaxDeltaQP == 0 ) && (m_aiQP[0] == lowestQP) && (m_useLossless == true))
     {
@@ -260,7 +242,4 @@
     m_acTEncTopList[iViewIdx]->setdQPs                         ( m_aidQP        );
     m_acTEncTopList[iViewIdx]->setUseRDOQ                      ( m_abUseRDOQ[0] );
-#if !PIC_CROPPING
-    m_acTEncTopList[iViewIdx]->setUsePAD                       ( m_bUsePAD      );
-#endif
     m_acTEncTopList[iViewIdx]->setQuadtreeTULog2MaxSize        ( m_uiQuadtreeTULog2MaxSize );
     m_acTEncTopList[iViewIdx]->setQuadtreeTULog2MinSize        ( m_uiQuadtreeTULog2MinSize );
@@ -269,7 +248,5 @@
     m_acTEncTopList[iViewIdx]->setUseFastEnc                   ( m_bUseFastEnc  );
     m_acTEncTopList[iViewIdx]->setUseEarlyCU                   ( m_bUseEarlyCU  ); 
-#if FAST_DECISION_FOR_MRG_RD_COST
     m_acTEncTopList[iViewIdx]->setUseFastDecisionForMerge      ( m_useFastDecisionForMerge  );
-#endif
     m_acTEncTopList[iViewIdx]->setUseCbfFastMode               ( m_bUseCbfFastMode  );
 #if HHI_INTERVIEW_SKIP
@@ -304,10 +281,8 @@
       m_acTEncTopList[iViewIdx]->setSliceArgument ( m_iSliceArgument * ( iNumPartInCU >> ( m_iSliceGranularity << 1 ) ) );
     }
-#if FIXED_NUMBER_OF_TILES_SLICE_MODE
     if(m_iSliceMode==AD_HOC_SLICES_FIXED_NUMBER_OF_TILES_IN_SLICE)
     {
       m_acTEncTopList[iViewIdx]->setSliceArgument ( m_iSliceArgument );
     }
-#endif
     m_acTEncTopList[iViewIdx]->setSliceGranularity        ( m_iSliceGranularity         );
     if(m_iSliceMode == 0 )
@@ -327,8 +302,6 @@
     m_acTEncTopList[iViewIdx]->setUseIVS               ( m_bUseIVS          );
 #endif
-#if SAO_UNIT_INTERLEAVING
     m_acTEncTopList[iViewIdx]->setMaxNumOffsetsPerPic (m_maxNumOffsetsPerPic);
     m_acTEncTopList[iViewIdx]->setSaoInterleavingFlag (m_saoInterleavingFlag);
-#endif
     m_acTEncTopList[iViewIdx]->setPCMInputBitDepthFlag  ( m_bPCMInputBitDepthFlag); 
     m_acTEncTopList[iViewIdx]->setPCMFilterDisableFlag  ( m_bPCMFilterDisableFlag); 
@@ -338,7 +311,4 @@
     m_acTEncTopList[iViewIdx]->setColumnRowInfoPresent       ( m_iColumnRowInfoPresent );
     m_acTEncTopList[iViewIdx]->setUniformSpacingIdr          ( m_iUniformSpacingIdr );
-#if !REMOVE_TILE_DEPENDENCE
-    m_acTEncTopList[iViewIdx]->setTileBoundaryIndependenceIdr( m_iTileBoundaryIndependenceIdr );
-#endif
     m_acTEncTopList[iViewIdx]->setNumColumnsMinus1           ( m_iNumColumnsMinus1 );
     m_acTEncTopList[iViewIdx]->setNumRowsMinus1              ( m_iNumRowsMinus1 );
@@ -357,9 +327,5 @@
     m_acTEncTopList[iViewIdx]->setMaxTileMarkerOffset         ( m_dMaxTileMarkerOffset );
     m_acTEncTopList[iViewIdx]->setTileBehaviorControlPresentFlag( m_iTileBehaviorControlPresentFlag );
-#if !REMOVE_TILE_DEPENDENCE
-    if(m_iTileBoundaryIndependenceIdr == 0 || uiTilesCount == 1)
-#else
     if(uiTilesCount == 1)
-#endif
     {
       m_bLFCrossTileBoundaryFlag = true; 
@@ -376,10 +342,7 @@
     m_acTEncTopList[iViewIdx]->setUseScalingListId           ( m_useScalingListId  );
     m_acTEncTopList[iViewIdx]->setScalingListFile            ( m_scalingListFile   );
-#if MULTIBITS_DATA_HIDING
     m_acTEncTopList[iViewIdx]->setSignHideFlag(m_signHideFlag);
     m_acTEncTopList[iViewIdx]->setTSIG(m_signHidingThreshold);
-#endif
-
-#if LCU_SYNTAX_ALF
+
     if(uiTilesCount > 1)
     {
@@ -389,5 +352,4 @@
     m_acTEncTopList[iViewIdx]->setALFParamInSlice              ( m_bALFParamInSlice);
     m_acTEncTopList[iViewIdx]->setALFPicBasedEncode            ( m_bALFPicBasedEncode);
-#endif
 
     //====== Depth tools ========
@@ -445,5 +407,4 @@
       m_acTEncDepthTopList[iViewIdx]->setSourceWidth                  ( m_iSourceWidth );
       m_acTEncDepthTopList[iViewIdx]->setSourceHeight                 ( m_iSourceHeight );
-#if PIC_CROPPING
       m_acTEncDepthTopList[iViewIdx]->setCroppingMode                 ( m_croppingMode );
       m_acTEncDepthTopList[iViewIdx]->setCropLeft                     ( m_cropLeft );
@@ -451,5 +412,4 @@
       m_acTEncDepthTopList[iViewIdx]->setCropTop                      ( m_cropTop );
       m_acTEncDepthTopList[iViewIdx]->setCropBottom                   ( m_cropBottom );
-#endif
       m_acTEncDepthTopList[iViewIdx]->setFrameToBeEncoded             ( m_iFrameToBeEncoded );
       m_acTEncDepthTopList[iViewIdx]->setViewId                       ( iViewIdx );
@@ -480,5 +440,4 @@
       m_acTEncDepthTopList[iViewIdx]->setGopList                      ( m_GOPListsMvc[iViewIdx] );
       m_acTEncDepthTopList[iViewIdx]->setExtraRPSs                    ( m_extraRPSs[iViewIdx] );
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
       for(Int i = 0; i < MAX_TLAYER; i++)
       {
@@ -486,8 +445,4 @@
         m_acTEncDepthTopList[iViewIdx]->setMaxDecPicBuffering         ( m_maxDecPicBuffering[iViewIdx][i], i );
       }
-#else
-      m_acTEncDepthTopList[iViewIdx]->setNumReorderFrames             ( m_numReorderFrames );
-      m_acTEncDepthTopList[iViewIdx]->setMaxNumberOfReferencePictures ( m_maxNumberOfReferencePictures );
-#endif
       for( UInt uiLoop = 0; uiLoop < MAX_TLAYER; ++uiLoop )
       {
@@ -499,10 +454,5 @@
       m_acTEncDepthTopList[iViewIdx]->setPad                          ( m_aiPad );
 
-#if H0566_TLA
       m_acTEncDepthTopList[iViewIdx]->setMaxTempLayer                 ( m_maxTempLayer[iViewIdx] );
-#else
-      m_acTEncDepthTopList[iViewIdx]->setTLayering                    ( m_bTLayering );
-      m_acTEncDepthTopList[iViewIdx]->setTLayerSwitchingFlag          ( m_abTLayerSwitchingFlag );
-#endif
 
       m_acTEncDepthTopList[iViewIdx]->setDisInter4x4                  ( m_bDisInter4x4);
@@ -518,7 +468,5 @@
       m_acTEncDepthTopList[iViewIdx]->setLoopFilterBetaOffset         ( m_loopFilterBetaOffsetDiv2  );
       m_acTEncDepthTopList[iViewIdx]->setLoopFilterTcOffset           ( m_loopFilterTcOffsetDiv2    );
-#if DBL_CONTROL
       m_acTEncDepthTopList[iViewIdx]->setDeblockingFilterControlPresent( m_DeblockingFilterControlPresent);
-#endif
 
       //====== Motion search ========
@@ -560,7 +508,4 @@
       m_acTEncDepthTopList[iViewIdx]->setdQPs                         ( m_aidQPdepth   );
       m_acTEncDepthTopList[iViewIdx]->setUseRDOQ                      ( m_abUseRDOQ[1] );
-#if !PIC_CROPPING
-      m_acTEncDepthTopList[iViewIdx]->setUsePAD                       ( m_bUsePAD      );
-#endif
       m_acTEncDepthTopList[iViewIdx]->setQuadtreeTULog2MaxSize        ( m_uiQuadtreeTULog2MaxSize );
       m_acTEncDepthTopList[iViewIdx]->setQuadtreeTULog2MinSize        ( m_uiQuadtreeTULog2MinSize );
@@ -569,7 +514,5 @@
       m_acTEncDepthTopList[iViewIdx]->setUseFastEnc                   ( m_bUseFastEnc  );
       m_acTEncDepthTopList[iViewIdx]->setUseEarlyCU                   ( m_bUseEarlyCU  ); 
-#if FAST_DECISION_FOR_MRG_RD_COST
       m_acTEncDepthTopList[iViewIdx]->setUseFastDecisionForMerge      ( m_useFastDecisionForMerge  );
-#endif
       m_acTEncDepthTopList[iViewIdx]->setUseCbfFastMode               ( m_bUseCbfFastMode  );
 #if HHI_INTERVIEW_SKIP
@@ -633,10 +576,8 @@
         m_acTEncDepthTopList[iViewIdx]->setSliceArgument ( m_iSliceArgument * ( iNumPartInCU >> ( m_iSliceGranularity << 1 ) ) );
       }
-#if FIXED_NUMBER_OF_TILES_SLICE_MODE
       if(m_iSliceMode==AD_HOC_SLICES_FIXED_NUMBER_OF_TILES_IN_SLICE)
       {
         m_acTEncDepthTopList[iViewIdx]->setSliceArgument ( m_iSliceArgument );
       }
-#endif
       m_acTEncDepthTopList[iViewIdx]->setSliceGranularity        ( m_iSliceGranularity         );
       if(m_iSliceMode == 0 )
@@ -652,8 +593,6 @@
      m_acTEncDepthTopList[iViewIdx]->setUseIVS                ( m_bUseIVS );
 #endif
-#if SAO_UNIT_INTERLEAVING
       m_acTEncDepthTopList[iViewIdx]->setMaxNumOffsetsPerPic (m_maxNumOffsetsPerPic);
       m_acTEncDepthTopList[iViewIdx]->setSaoInterleavingFlag (m_saoInterleavingFlag);
-#endif
       m_acTEncDepthTopList[iViewIdx]->setPCMInputBitDepthFlag  ( m_bPCMInputBitDepthFlag); 
       m_acTEncDepthTopList[iViewIdx]->setPCMFilterDisableFlag  ( m_bPCMFilterDisableFlag); 
@@ -663,7 +602,4 @@
       m_acTEncDepthTopList[iViewIdx]->setColumnRowInfoPresent       ( m_iColumnRowInfoPresent );
       m_acTEncDepthTopList[iViewIdx]->setUniformSpacingIdr          ( m_iUniformSpacingIdr );
-#if !REMOVE_TILE_DEPENDENCE
-      m_acTEncDepthTopList[iViewIdx]->setTileBoundaryIndependenceIdr( m_iTileBoundaryIndependenceIdr );
-#endif
       m_acTEncDepthTopList[iViewIdx]->setNumColumnsMinus1           ( m_iNumColumnsMinus1 );
       m_acTEncDepthTopList[iViewIdx]->setNumRowsMinus1              ( m_iNumRowsMinus1 );
@@ -682,9 +618,5 @@
       m_acTEncDepthTopList[iViewIdx]->setMaxTileMarkerOffset         ( m_dMaxTileMarkerOffset );
       m_acTEncDepthTopList[iViewIdx]->setTileBehaviorControlPresentFlag( m_iTileBehaviorControlPresentFlag );
-#if !REMOVE_TILE_DEPENDENCE
-      if(m_iTileBoundaryIndependenceIdr == 0 || uiTilesCount == 1)
-#else
       if(uiTilesCount == 1)
-#endif
       {
         m_bLFCrossTileBoundaryFlag = true; 
@@ -701,10 +633,7 @@
       m_acTEncDepthTopList[iViewIdx]->setUseScalingListId           ( m_useScalingListId  );
       m_acTEncDepthTopList[iViewIdx]->setScalingListFile            ( m_scalingListFile   );
-#if MULTIBITS_DATA_HIDING
       m_acTEncDepthTopList[iViewIdx]->setSignHideFlag(m_signHideFlag);
       m_acTEncDepthTopList[iViewIdx]->setTSIG(m_signHidingThreshold);
-#endif
-
-#if LCU_SYNTAX_ALF
+
       if(uiTilesCount > 1)
       {
@@ -714,5 +643,4 @@
       m_acTEncDepthTopList[iViewIdx]->setALFParamInSlice              ( m_bALFParamInSlice);
       m_acTEncDepthTopList[iViewIdx]->setALFPicBasedEncode            ( m_bALFPicBasedEncode);
-#endif
 
   //====== Depth tools ========
@@ -1325,9 +1253,5 @@
         if (m_pchReconFileList[iViewIdx])
         {
-#if PIC_CROPPING
           m_acTVideoIOYuvReconFileList[iViewIdx]->write( pcPicYuvRec, m_cropLeft, m_cropRight, m_cropTop, m_cropBottom );
-#else
-          m_acTVideoIOYuvReconFileList[iViewIdx]->write( pcPicYuvRec, m_aiPad );
-#endif
         }
       }
@@ -1336,9 +1260,5 @@
         if (m_pchDepthReconFileList[iViewIdx])
         {
-#if PIC_CROPPING
           m_acTVideoIOYuvDepthReconFileList[iViewIdx]->write( pcPicYuvRec, m_cropLeft, m_cropRight, m_cropTop, m_cropBottom );
-#else
-          m_acTVideoIOYuvDepthReconFileList[iViewIdx]->write( pcPicYuvRec, m_aiPad );
-#endif
         }
       }
@@ -1393,5 +1313,4 @@
     {
     case NAL_UNIT_CODED_SLICE:
-#if H0566_TLA
 #if !QC_REM_IDV_B0046
     case NAL_UNIT_CODED_SLICE_IDV:
@@ -1399,9 +1318,4 @@
     case NAL_UNIT_CODED_SLICE_TLA:
     case NAL_UNIT_CODED_SLICE_CRA:
-#else
-    case NAL_UNIT_CODED_SLICE_DATAPART_A:
-    case NAL_UNIT_CODED_SLICE_DATAPART_B:
-    case NAL_UNIT_CODED_SLICE_CDR:
-#endif
     case NAL_UNIT_CODED_SLICE_IDR:
     case NAL_UNIT_SPS:
Index: branches/HTM-5.1-dev0/source/App/TAppRenderer/TAppRendererTop.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/App/TAppRenderer/TAppRendererTop.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/App/TAppRenderer/TAppRendererTop.cpp	(revision 294)
@@ -429,9 +429,5 @@
       // Write Output
 
-#if PIC_CROPPING
       m_apcTVideoIOYuvSynthOutput[m_bSweep ? 0 : iSynthViewIdx]->write( pcPicYuvSynthOut, 0, 0, 0, 0 );
-#else
-      m_apcTVideoIOYuvSynthOutput[m_bSweep ? 0 : iSynthViewIdx]->write( pcPicYuvSynthOut, aiPad );
-#endif
     }
     iFrame++;
@@ -665,9 +661,5 @@
 
           // Write Output
-#if PIC_CROPPING
           m_apcTVideoIOYuvSynthOutput[m_bSweep ? 0 : iModelNum]->write( pcPicYuvSynthOut, 0 ,0 ,0, 0 );
-#else
-          m_apcTVideoIOYuvSynthOutput[m_bSweep ? 0 : iModelNum]->write( pcPicYuvSynthOut, aiPad );
-#endif
         }
       }
@@ -867,9 +859,5 @@
 
       // Write Output
-#if PIC_CROPPING
       m_apcTVideoIOYuvSynthOutput[m_bSweep ? 0 : iSynthViewIdx]->write( pcPicYuvSynthOut, 0, 0, 0, 0 );
-#else
-      m_apcTVideoIOYuvSynthOutput[m_bSweep ? 0 : iSynthViewIdx]->write( pcPicYuvSynthOut, aiPad );
-#endif
     }
     iFrame++;
@@ -998,9 +986,5 @@
 
       // Write Output
-#if PIC_CROPPING
       m_apcTVideoIOYuvSynthOutput[iViewIdx-1]->write( pcPicYuvSynthOut, 0, 0, 0 );
-#else
-      m_apcTVideoIOYuvSynthOutput[iViewIdx-1]->write( pcPicYuvSynthOut, aiPad );
-#endif
 
     }
